%global pkg_name        Class-Factory
%global pkg_version     1.06
%global rpm_pkg_version 1.06
%global rpm_pkg_release 1.n0i.3

Summary:       Base class for dynamic factory classes
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PH/PHRED/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl


%description
This is a simple module that factory classes can use to generate new types
of objects on the fly, providing a consistent interface to common groups of
objects.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 1.06-1.n0i.3
- version 1.06
- spec update (new reb00t build tools)

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.05

* Mon Jul 03 2006 Marius Feraru <altblue@n0i.net> - 1.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
